//
//  NNViewController.m
//  UIImagePickerControllerSample
//
//  Created by Takishima Atsushi on 12/04/17.
//  Copyright (c) 2012年 __MyCompanyName__. All rights reserved.
//

#import "NNViewController.h"

@interface NNViewController ()

@end

@implementation NNViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

- (IBAction)showCamera:(id)sender {
    
    // デバイスにカメラ付いてるかチェック
    if (![UIImagePickerController isSourceTypeAvailable:UIImagePickerControllerSourceTypeCamera]) {
    	NSLog(@"カメラないよ");
        return;
    }
    
	UIImagePickerController *imagePickerController = [[UIImagePickerController alloc] init];
    
	// ソースをカメラに指定
    imagePickerController.sourceType = UIImagePickerControllerSourceTypeCamera;
	imagePickerController.delegate = self;
    // 編集を許可するかしないか。デフォルトはNO
    imagePickerController.allowsEditing = YES;
    // カメラ表示
    [self presentModalViewController:imagePickerController animated:YES];
    [imagePickerController release];
}


// =========================================================================================================
#pragma mark - UIImagePickerControllerDelegate methods

- (void)imagePickerControllerDidCancel:(UIImagePickerController *)picker {
	// cancel押したとき
    // モーダルビュー消します
    [self dismissModalViewControllerAnimated:YES];
}

- (void)imagePickerController:(UIImagePickerController *)picker didFinishPickingImage:(UIImage *)image editingInfo:(NSDictionary *)editingInfo {
    // use押したとき
	// モーダルビュー消します
	[self dismissModalViewControllerAnimated:YES];
    // 撮った写真を使います
	_pictureImageView.image = image;
}

@end
